"use strict";

var _index = _interopRequireWildcard(require("./index"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var LOGIN_URL = 'auth/login';
var LOGIN_REQUEST = 'LOGIN_REQUEST';
var LOGIN_SUCCESS = 'LOGIN_SUCCESS';
var LOGIN_FAILURE = 'LOGIN_FAILURE';

var login = function login(body) {
  return _defineProperty({}, _index.CALL_API, {
    method: 'post',
    body: body,
    endpoint: LOGIN_URL,
    types: [LOGIN_REQUEST, LOGIN_SUCCESS, LOGIN_FAILURE]
  });
};

var loginAction = login({
  username: 'tom',
  password: 'bab'
});
var fakeStore = {};

var fakeNext = function fakeNext(action) {
  return action;
};

(0, _index["default"])(fakeStore)(fakeNext)(loginAction).then(function (result) {
  console.log('done', result);
});